import { getUserPermission, getManagePermission } from "../data/interface/pagePermissions";
import { BizError } from "../util/bizError";

export async function getUserPer(req, res) {
    let {sessionid, userId} = req.body
    console.log(userId, "userId")

    // sessionid等接入统一认证后，再校验
    if(!userId) throw new BizError("请求参数错误");
    let ret = await getUserPermission(sessionid, userId);
    res.send(ret);
}


export async function managePermission(req, res) {
    let {sessionid, userId} = req.body
    console.log(userId, "userId")

    // sessionid等接入统一认证后，再校验
    if(!userId) throw new BizError("请求参数错误");
    let ret = await getManagePermission(sessionid, userId);
    res.send(ret);
}
