// 二级页面 it服务管理模块 用户权限（当前登录用户可以看到那些大屏页面）
import * as cord from "../crod"


const userUrl = './mock/platform.json';

export async function getUserPermission (sessionid: string, userId: string) {
    // 暂不校验sessionid。 接入统一认证后，需要校验sessionid是否有效。

    let ret:any = {
        code: 200,
        success: true,
    }

    let {data} = await cord.readFile(userUrl)


    let idArr = []
    for (let i = 0; i<data.length; i++) {
        idArr.push(data[i].id)
    }
    if (idArr.indexOf(userId) === -1) {
        ret.msg = "userId不存在！"
    } else {
        for (let i = 0; i<data.length; i++) {
            if(userId === data[i].id) {
                ret.allow = data[i].allow
            }
        }
    }

    return ret;
}

export async function getManagePermission(sessionid: string, userId: string) {
    // 暂不校验sessionid。 接入统一认证后，需要校验sessionid是否有效。

    let ret:any = {
        code: 200,
        success: true,
    }

    let {data} = await cord.readFile(userUrl)


    let idArr = []
    for (let i = 0; i<data.length; i++) {
        idArr.push(data[i].id)
    }
    if (idArr.indexOf(userId) === -1) {
        ret.hasPermission = false
        ret.code = 500
        ret.success = false
    } else {
        for (let i = 0; i<data.length; i++) {
            if(userId === data[i].id) {
                ret.hasPermission = data[i].hasPermission
            }
        }
    }

    return ret;
}